import { INetResponse } from "../Engine/CatanEngine/NetManagerV2/Core/INetResponse"
import WebSocketServerClass from "../NetManager/WebSocketServerClass"

export default class MainControlData {
	constructor() {
		WebSocketServerClass.Instance.OnDataReceived.AddCallback(this._serverData, this)
	}

	/** SERVER主動通知 */
	private _serverData(resp: INetResponse<any>): void {
		if (resp.IsValid) {
			switch (resp.Method) {
				case "chat.send":
					resp.WS.SendClient(resp)
					// GiftData.Instance?.AddCommonList(resp.Data)
					break
				default:
					// if (GameMain.Instance && GameMain.Instance.node && GameMain.Instance.node.parent) {
					// 	GameMain.Instance.SettingBase.OnNetDataReceived(resp)
					// }
					break
			}
		}
	}
}